haskell-language-server-2.7.0.0: LSP server for GHC

Safe Haskell | None
Language | GHC2021

Ide.Version

Description

Information and display strings for HIE's version and the current project's version

Synopsis

- hlsVersion :: String
- data ProgramsOfInterest = ProgramsOfInterest {
  - cabalVersion :: Maybe Version
  - stackVersion :: Maybe Version
  - ghcVersion :: Maybe Version
  }
- showProgramVersionOfInterest :: ProgramsOfInterest -> String
- showProgramVersion :: String -> Maybe Version -> String
- findProgramVersions :: IO ProgramsOfInterest
- findVersionOf :: FilePath -> IO (Maybe Version)
- mkVersion :: String -> Maybe Version

# Documentation

hlsVersion :: String #

data ProgramsOfInterest #

Constructors

ProgramsOfInterest |

Fields

- cabalVersion :: Maybe Version
- stackVersion :: Maybe Version
- ghcVersion :: Maybe Version

showProgramVersionOfInterest :: ProgramsOfInterest -> String #

showProgramVersion :: String -> Maybe Version -> String #

findProgramVersions :: IO ProgramsOfInterest #

findVersionOf :: FilePath -> IO (Maybe Version) #

Find the version of the given program. Assumes the program accepts the cli argument "--numeric-version". If the invocation has a non-zero exit-code, we return `Nothing`

mkVersion :: String -> Maybe Version #